V2.0
put
/ec-dc-svc/rest/v2.0/studies/{studyId}/{mode}/dataelements/subject/{subjectId}/event/{eventId}/form/{formId}/formassociations
Updates form associations, if any, for a given form, event and subject. Deletes all associations for the data element if request is empty. The response contains additional fields like associatedFormSectionId, associatedRepeatFormNumber and srcRepeatFormNumber.
Request
Path Parameters
-
eventId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
7FCBB303F8D24A3FB7DABCACF7600629 -
formId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
6FCBB303F8D24A3FB7DABCACF7600629 -
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9FCBB303F8D24A3FB7DABCACF7600629 -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
8FCBB303F8D24A3FB7DABCACF7600629
Query Parameters
-
eventInstanceNum: integer
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
repeatFormNum: integer
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
1 -
repeatSequenceNum: integer
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
2
Supported Media Types
- application/json
Root Schema : schema
Type:
objectPayload to update form associations for a given form context
Show Source
-
comment: string
Minimum Length:
0Maximum Length:2048CommentExample:Updated association details -
formsAssociations: array
formsAssociations
List of form association updates to apply
-
reason: string
Minimum Length:
0Maximum Length:255ReasonExample:Change for encoding
Nested Schema : formsAssociations
Type:
arrayList of form association updates to apply
Show Source
-
Array of:
object FormsAssociationsDto2
Associations between source and associated form sections including repeat numbers
Nested Schema : FormsAssociationsDto2
Type:
objectAssociations between source and associated form sections including repeat numbers
Show Source
-
associatedEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
associatedFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedFormSectionId: string
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedRepeatFormNumber: integer
(int64)
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
1 -
associatedRepeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
associatedStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.0 -
comment: string
CommentExample:
Updated association details -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the recordExample:
0123456789ABCDEF0123456789ABCDEF -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
1 -
reason: string
ReasonExample:
Data association update -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
srcFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
srcFormSectionId: string
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcItemId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
0123456789ABCDEF0123456789ABCDEF -
srcRepeatFormNumber: integer
(int64)
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
1 -
srcRepeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
srcStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.1 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2024-12-01T10:15:30Z
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormAssociationsUpdateRespDto2
Form associations update response (v2)
Nested Schema : FormAssociationsUpdateRespDto2
Type:
objectForm associations update response (v2)
Show Source
-
formsAssociations: array
formsAssociations
List of form associations
Nested Schema : formsAssociations
Type:
arrayList of form associations
Show Source
-
Array of:
object FormsAssociationsDto2
Associations between source and associated form sections including repeat numbers
Nested Schema : FormsAssociationsDto2
Type:
objectAssociations between source and associated form sections including repeat numbers
Show Source
-
associatedEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
associatedFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedFormSectionId: string
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
associatedRepeatFormNumber: integer
(int64)
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
1 -
associatedRepeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
associatedStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.0 -
comment: string
CommentExample:
Updated association details -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the recordExample:
0123456789ABCDEF0123456789ABCDEF -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
1 -
reason: string
ReasonExample:
Data association update -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
srcFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
0123456789ABCDEF0123456789ABCDEF -
srcFormSectionId: string
Unique identifier of the table within a two section form or lab form. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
srcItemId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
0123456789ABCDEF0123456789ABCDEF -
srcRepeatFormNumber: integer
(int64)
Represents the ordinal number assigned to a repeated instance of a data collection form. It uniquely identifies each occurrence of a repeating form for a subject when multiple instances of the form.Example:
1 -
srcRepeatSequenceNumber: integer
(int64)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
srcStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
1.0.0.1 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
0123456789ABCDEF0123456789ABCDEF -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2024-12-01T10:15:30Z
Examples
400 Response
Bad request.
Nested Schema : result
Type:
objectNested Schema : details
Type:
object